This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 163219 - perldl is unable to load the documentaion and demo files
perldl is unable to load the documentaion and demo files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-PDL (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
: Patch
: 112706 163218 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-14 01:54 EDT by gourish
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-PDL-2.4.2-4.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-23 16:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Ship pdldoc.db, tune build dependencies and file permissions (1.16 KB, patch)
2005-07-14 11:11 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description gourish 2005-07-14 01:54:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
when I run perdl I get the following error message (unable to find pdldoc.db) in loading documentatio, also I cannot run and demo

perlDL shell v1.33
 PDL comes with ABSOLUTELY NO WARRANTY. For details, see the file
 'COPYING' in the PDL distribution. This is free software and you
 are welcome to redistribute it under certain conditions, see
 the same file for details.
ReadLines, NiceSlice, MultiLines  enabled
Reading PDL/default.perldlrc...
Unable to find PDL/pdldoc.db in /usr/lib/perl5/5.8.3/i386-linux-thread-multi:/usr/lib/perl5/5.8.3:/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi:/usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-multi:/usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi:/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi:/usr/lib/perl5/site_perl/5.8.3:/usr/lib/perl5/site_perl/5.8.2:/usr/lib/perl5/site_perl/5.8.1:/usr/lib/perl5/site_perl/5.8.0:/usr/lib/perl5/site_perl:/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi:/usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-multi:/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi:/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi:/usr/lib/perl5/vendor_perl/5.8.3:/usr/lib/perl5/vendor_perl/5.8.2:/usr/lib/perl5/vendor_perl/5.8.1:/usr/lib/perl5/vendor_perl/5.8.0:/usr/lib/perl5/vendor_perl:.
Type 'demo' for online demos
Loaded PDL v2.4.1

Version-Release number of selected component (if applicable):
PDL v2.4.1

How reproducible:
Always

Steps to Reproduce:
1.run  perldl
2.
3.
  

Actual Results:  perldl is unable to load the documentation files ie perldoc.db
and also when I run demo command it is unable to load and demo files

Expected Results:  perldl should load the documentation files ie perldoc.db
when I run demo it should load the demo files and run demonstrtions

Additional info:
Comment 1 Ville Skyttä 2005-07-14 11:11:27 EDT
Created attachment 116757 [details]
Ship pdldoc.db, tune build dependencies and file permissions

FC2 is maintained by Fedora Legacy, and since this isn't a security issue, I
think it's unlikely it'll get fixed there.

However, the issue still exists in FC4 and devel, fix (plus a couple of
unrelated small ones) against the devel specfile attached.
Comment 2 Peter van Egdom 2005-07-29 15:00:40 EDT
*** Bug 163218 has been marked as a duplicate of this bug. ***
Comment 3 Peter van Egdom 2005-08-19 15:55:59 EDT
*** Bug 112706 has been marked as a duplicate of this bug. ***
Comment 4 Peter van Egdom 2005-08-19 16:02:14 EDT
Still happens with package "perl-PDL-2.4.1-11" on FC4.
Changing version from "fc1" to "fc4".
Comment 5 Warren Togami 2005-09-25 11:40:05 EDT
t/primitive.................# Failed test 20 in t/primitive.t at line 120
#  t/primitive.t line 120 is: eval '$c = all($b==pdl([[0,1],[2,2]]))';  ok(!$@
&& $c);
FAILED test 20
Failed Test   Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/primitive.t               21    1   4.76%  20
9 tests and 35 subtests skipped.
Failed 1/96 test scripts, 98.96% okay. 1/817 subtests failed, 99.88% okay.

This happened twice on ppc, unknown if it happens on other archs.  Should I make
test failures non-fatal?  Please advise.
Comment 6 Ville Skyttä 2005-09-26 13:14:56 EDT
Someone who knows something about PDL should comment on that.  The patched 
package builds and tests run successfully on FC4 i386.  I don't see how this 
patch would affect any tests. 
Comment 7 Jason Vas Dias 2006-03-09 11:35:56 EST
perl-PDL-2.4.2-2.fc4 now submitted to FC-4/Updates, which should resolve this 
problem.
Comment 8 Fedora Update System 2006-03-10 17:20:59 EST
From User-Agent: XML-RPC

perl-PDL-2.4.2-2.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 9 Fedora Update System 2006-03-20 11:34:20 EST
perl-PDL-2.4.2-2.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 10 Peter van Egdom 2006-06-23 16:46:18 EDT
This seems fixed in "perl-PDL-2.4.2-4.fc5". Below a piece of the changelog :

 * ma sep 26 2005 Warren Togami <wtogami@redhat.com> - 2.4.2-2
 - Ship pdldoc.db, tune build dependencies and file permissions (#163219 scop)

Below is some output of "perldl" :

perlDL shell v1.33
 PDL comes with ABSOLUTELY NO WARRANTY. For details, see the file
 'COPYING' in the PDL distribution. This is free software and you
 are welcome to redistribute it under certain conditions, see
 the same file for details.
ReadLines, NiceSlice, MultiLines  enabled
Reading PDL/default.perldlrc...
Found docs database
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/PDL/pdldoc.db
Type 'help' for online help
Type 'demo' for online demos
Loaded PDL v2.4.2

Note: AutoLoader not enabled ('use PDL::AutoLoader' recommended)

perldl> 

Note You need to log in before you can comment on or make changes to this bug.